Subject: Re: 2464 - link-local multicast address mapping

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 20 Jul 2016 19:31:13 +0200

[let me start a separate thread here]

Le 20/07/2016 à 14:24, Stig Venaas a écrit :
> Hi
>
> On Wed, Jul 20, 2016 at 2:40 AM, Alexandre Petrescu
> <[email-masked]> wrote:
>>
>>
>> Le 20/07/2016 à 00:01, Mark Smith a écrit :
>>>
>>> On 20 Jul 2016 2:12 AM, "Alexandre Petrescu"
>>> <[email-masked]
>>> <mailto:[email-masked]>> wrote:
>>>>
>>>>
>>>> Hi,
>>>>
>>>> Currently the RFC2464 multicast address mapping says:
>>>>
>>>>> An IPv6 packet with a multicast destination address DST,
>>>>> consisting of the sixteen octets DST[1] through DST[16], is
>>>>> transmitted to the Ethernet multicast address whose first
>>>>> two octets are the value 3333 hexadecimal and whose last four
>>>>> octets are the last four octets of DST.
>>>>
>>>>
>>>>
>>>> I think this mapping should happen only for link-scoped IPv6
>
> Why? Both for IPv4 and IPv6 you need to have some destination
> multicast MAC address for any IP/IPv6 multicast packet, regardless
> of scope.

It woudlnt make sense to map a global-scope IPv6 multicast address into
a - by definition local - Ethernet multicast address.

There is not enough place in there.  As such reverse mapping would be
impossible.

>>> destination addresses, not other scopes.
>>>>
>>>>
>>>> I.e. the last four octets of a _link-local_ IPv6 address
>>>> should get
>>>
>>> mapped into that MAC address (ff02::XXXX:XXXX ->
>>> 33-33-XX-XX-XX-XX); multicast addresses of other scopes than ff02
>>> should not get mapped.
>>>>
>>>>
>>>
>>> I think you're assuming that there are no other nodes on the
>>> link are members of the > link-local scope group, or that there
>>> is no more than one multicast router on the link.
>>
>>
>> Yes, I do assume so.
>
> It's fairly common to have multiple multicast routers on the link,
> and there can definitely be multiple members of a link-local group
> (or any group) on the link.

Yes certainly there can be multiple IP multicast routers on a link.  But
I dont see how that supports mapping a global multicast address into an
Ethernet address.

>>> Multicast address scopes are only indicating boundary of the
>>> multicast forwarding domain, not where multicast group members
>>> are or are not.
>>
>>
>> But an Ethernet 33-33- scope can only be a link scope.  A reverse
>
> Why?

Because the whole world is not (and can not) be Ethernet - there are
other link types as well.  As such its scope can only be local.

>
>> mapping from an Ethernet scope back to a > link-local scope would
>> make no sense.
>>
>> (I also assume mapping to be bidirectional).
>
> What do you mean by bidirectional? As you wrote, you cannot do a
> reverse mapping.

Bidirectional - map from IP address to MAC address, and vice-versa.
'Mapping' suggests me ability to translate and reversely too.

Or maybe this RFC2464 'mapping' means to translate into only one
direction?  (translate an IP to MAC but not vice-versa)

Alex

>
> Stig
>
>> Alex
>>
>>>
>>> Regards, Mark.
>>>
>>>> Alex
>>>>
>>>> --------------------------------------------------------------------
>>>>
>>>>
>>
>>>>
IETF IPv6 working group mailing list
>>>>
>>>> [email-masked] <mailto:[email-masked]> Administrative
>>>> Requests:https://www.ietf.org/mailman/listinfo/ipv6
>>>
>>> <https://www.ietf.org/mailman/listinfo/ipv6>
>>>>
>>>> --------------------------------------------------------------------
>>>
>>>
>>
>>
>>>>
--------------------------------------------------------------------
>> IETF IPv6 working group mailing list [email-masked] Administrative
>> Requests: https://www.ietf.org/mailman/listinfo/ipv6
>> --------------------------------------------------------------------
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------